Trader Sarien:
Basically, there are eight main ingredients used in the research of magic. The eight ingredients are crimson mushrooms, Dragon's Tooth, green wild grapes, Mandragora Roots, monster eye meat, willow roots, bone powder and jade fragments. Knowledge of these magic ingredients are largely helpful when doing business with Mystics of the Ivory Tower. Even now, I came here after hearing that magic ingredients could be obtained in the area.
Return